
%define name    libsndfile
%define version 1.0.20
%define release 1

Summary: A library to handle various audio file formats.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: Libraries/Sound
Source0: http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.gz
Source1: http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.gz.asc
Patch0: %{name}-%{version}-aix.patch
URL: http://www.mega-nerd.com/libsndfile/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: sqlite-devel, flac-devel, libogg-devel, libvorbis-devel
Requires: sqlite, flac, libogg, libvorbis

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit and
64-bit floating point WAV files and a number of compressed formats. It
compiles and runs on *nix, MacOS, and Win32.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Libraries, includes, etc to develop libsndfile applications
Group: Libraries
Requires: %{name} = %{version}-%{release}
Requires: sqlite-devel

%description devel
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface.
This package contains files needed to develop with libsndfile.


%package utils
Summary: Command Line Utilities for libsndfile
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Obsoletes: libsndfile < 1.0.20-1

%description utils
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface.
This package contains commandline utilities for libsndfile.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt -Dinline=__inline"

# our flac packages don't have a pkgconfig file
export FLAC_CFLAGS="-I%{_includedir}/FLAC"
export FLAC_LIBS="-L%{_libdir} -lFLAC -lm"

# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-shave=no
make %{?_smp_mflags}

cp ./src/.libs/%{name}.so.1 .
make distclean

# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --disable-largefile \
    --enable-shave=no
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm -rf __docs
cp -pR ${RPM_BUILD_ROOT}%{_datadir}/doc/libsndfile1-dev/html __docs
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/libsndfile1-dev

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}.a ./%{name}.so.1

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.a
/usr/lib/*.a


%files utils
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%files devel
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc __docs/*
%defattr(-,root,system)
%{_libdir}/*.la
%{_libdir}/pkgconfig/sndfile.pc
%{_includedir}/*
/usr/lib/*.la
/usr/include/*


%changelog
* Tue Dec 01 2009 Michael Perzl <michael@perzl.org> - 1.0.20-1
- updated to version 1.0.20
- split utils into a subpackage

* Thu Jul 23 2009 Michael Perzl <michael@perzl.org> - 1.0.13-2
- some spec file fixes and added 64-bit library

* Tue Jan 24 2006 Michael Perzl <michael@perzl.org> - 1.0.13-1
- first version for AIX V5.1 and higher
